The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get a Domain

Prev Next

This URL gets the specified domain.

Resource URL

GET /domain/<domain_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
SubscriberDescriptor Object that contains the details of the fields Object

Details of fields in SubscriberDescriptor:

Field Name Description Data Type
domainId Domain Id Number
parentDomainId Parent domain Id Number
domainName Domain name String
contactPerson Contact person String
emailAddress Email address String
Title Title String
contactPhoneNumber Contact phone number String
companyPhoneNumber Company phone number String
Organization Organization String
Address Address Object
City City String
State State String
Country Country String
allowChildAdminDomain Allow child admin domain Boolean
allowDevices Allow devices Boolean
defaultIPSPolicy Default IPS policy String
defaultReconPolicy Default recon policy String

Details of fields in Address:

Field Name Description Data Type
address1 Address1 String
address2 Address2 String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/101

Response

{
       		"parentDomainId": 0,
       		"domainName": "Test Child Domain 2",
       		"contactPerson": "Trellix",
      		"emailAddress": "abc@xyz.com",
       		"title": "Intel",
       		"contactPhoneNumber": "9999999999",
       		"companyPhoneNumber": "080-12345678",
       		"organization": "Trellix",
       		"address":
       		{
           		"address1": "Bangalore",
           		"address2": "India"
       		},
       		"city": "Bangalore",
       		"state": "Karnataka",
       		"country": "India",
       		"allowChildAdminDomain": true,
       		"allowDevices": true,
       		"defaultIPSPolicy": "Default Inline IPS",
       		"defaultReconPolicy": "Default Reconnaissance Policy"
   	 } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain